org.eclipse.gef.dot.internal.ui.conversion

## Class DotFontUtil

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.conversion.DotFontUtil

    public class DotFontUtil
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static interface` `DotFontUtil.Font`
`static interface` `DotFontUtil.SystemFontAccess`

### Constructor Summary

Constructors
Constructor and Description
`DotFontUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `cssLocalFontFamily(org.eclipse.gef.dot.internal.language.fontname.FontName name)`
`java.lang.String` `cssStyle(org.eclipse.gef.dot.internal.language.fontname.FontName dotFont)`
`java.lang.String` `cssWeight(org.eclipse.gef.dot.internal.language.fontname.FontName dotFont)`
`org.eclipse.gef.dot.internal.language.fontname.FontName` `parseHtmlFontFace(java.lang.String face)`
`void` `setSystemFontAccess(DotFontUtil.SystemFontAccess access)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotFontUtil

    public DotFontUtil()

### Method Detail

#### cssLocalFontFamily

    public java.lang.String cssLocalFontFamily(org.eclipse.gef.dot.internal.language.fontname.FontName name)

#### cssWeight

    public java.lang.String cssWeight(org.eclipse.gef.dot.internal.language.fontname.FontName dotFont)

#### cssStyle

    public java.lang.String cssStyle(org.eclipse.gef.dot.internal.language.fontname.FontName dotFont)

#### parseHtmlFontFace

    public org.eclipse.gef.dot.internal.language.fontname.FontName parseHtmlFontFace(java.lang.String face)

#### setSystemFontAccess

    public void setSystemFontAccess(DotFontUtil.SystemFontAccess access)